import 'package:base_repository/base_repository.dart';

import '../footprint_repository.dart';

///
/// FootprintRepository
/// 足迹/点赞相关的实现网络库
///
class FootprintRepositoryImpl extends FootprintRepository {
  FootprintRepositoryImpl.get();
  static final FootprintRepositoryImpl _instance =
      FootprintRepositoryImpl.get();
  factory FootprintRepositoryImpl() {
    return _instance;
  }

  ///
  /// 删除用户足迹
  ///
  @override
  Future deleteUserFootprint() async {
    Options options = Options(headers: {'interceptor': 'interceptor1'});
    dynamic result = await DSDioUtil.getInstance()
        .post('viewRecord.deleteView', options: options);
    return result;
  }

  @override
  Future getLikeList() {
    throw UnimplementedError();
  }
}
