
class SharePosterEntity {
  String url;
  List<String> sharePoster;

  SharePosterEntity({this.url,this.sharePoster});
  
  static SharePosterEntity fromJson(Map<String, dynamic> json) {
    List<String> list = [];
    if(json['share_poster'] is List){
      list = List<String>.from(json['share_poster']);
    }
    return SharePosterEntity(
      url: json['url']?.toString(),
      sharePoster: list
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'url':this.url,
      'share_poster':this.sharePoster,
    };
  }
}