class TurnChainEntity {
  String appLink;
  String platform;
  TurnChainEntity({this.appLink,this.platform});

  static TurnChainEntity fromJson(Map<String, dynamic> json) {
    return TurnChainEntity(
      appLink: json['app_link']?.toString(),
      platform: json['platform']?.toString(),
    );
  }
  
  Map<String, dynamic> toJson() {
    return {
      'app_link':this.appLink,
      'platform':this.platform,
    };
  }
}